Subject: Re: [ietf-types] Registration for application/ttml+xml
From: Philippe Le Hegaret <[email-masked]>
To: ietf-types <[email-masked]>
Cc: Sean Hayes <[email-masked]>
Date: Thu, 06 Sep 2012 16:10:35 -0400
List-Id: "Media \(MIME\) type review" <ietf-types.ietf.org>

On Thu, 2012-09-06 at 10:19 -0400, Philippe Le Hegaret wrote:
> Hello,
> 
> This is Appendix C of TTML 1.0.
> 
> http://www.w3.org/TR/ttaf1-dfxp/#media-type-registration
> 
> Comments on this registration would be greatly appreciated.

Someone kindly pointed out that the version in the reference and below
don't match. So here is a report of the registration template:
MIME media type name:
        
        application
        
MIME subtype name:
        
        ttml+xml
        
Required parameters:
        
        None.
        
Optional parameters:
charset
        
        Same as application/xml media type, as specified in [XML Media
        Types] or its successors.
        
profile
        
        The document profile of a TTML document may be specified using
        an optional profile parameter, which, if specified, the value of
        which must adhere to the syntax and semantics of ttp:profile
        parameter defined by Section 6.2.8 ttp:profile of the published
        specification.
        
Encoding considerations:
        
        Same for application/xml. See [XML Media], Section 3.2.
        
Restrictions on usage:
        
        None.
        
Security considerations:
        
        As with other XML types and as noted in [XML Media] Section 10,
        repeated expansion of maliciously constructed XML entities can
        be used to consume large amounts of memory, which may cause XML
        processors in constrained environments to fail.
        
        In addition, because of the extensibility features for TTML and
        of XML in general, it is possible that "application/ttml+xml"
        may describe content that has security implications beyond those
        described here. However, if the processor follows only the
        normative semantics of the published specification, this content
        will be outside TTML namespaces and may be ignored. Only in the
        case where the processor recognizes and processes the additional
        content, or where further processing of that content is
        dispatched to other processors, would security issues
        potentially arise. And in that case, they would fall outside the
        domain of this registration document.
        
Interoperability considerations:
        
        The published specification describes processing semantics that
        dictate behavior that must be followed when dealing with, among
        other things, unrecognized elements and attributes, both in TTML
        namespaces and in other namespaces.
        
        Because TTML is extensible, conformant "application/ttml+xml"
        processors must expect that content received is well-formed XML,
        but it cannot be guaranteed that the content is valid to a
        particular DTD or Schema or that the processor will recognize
        all of the elements and attributes in the document.
        
Published specification:
        
        This media type registration is extracted from Appendix C Media
        Type Registration of the Timed Text Markup Language (TTML) 1.0
        specification.
        
Additional information:
Magic number(s):
File extension(s):
        
        .ttml
        
Macintosh file type code(s):
        
        "TTML"
        
Macintosh Universal Type Identifier code:
        
        org.w3c.ttml conforms to public.xml
        
Windows Clipboard Name:
        
        "Timed Text Document"
        
Person & email address to contact for further information:
        
        Timed Text Working Group ([email-masked])
        
Intended usage:
        
        COMMON
        
Author/Change controller:
        
        The published specification is a work product of the World Wide
        Web Consortium's Timed Text (TT) Working Group. The W3C has
        change control over this specification.

From: Philippe Le Hegaret <[email-masked]>
To: ietf-types <[email-masked]>
Organization: World Wide Web Consortium
Date: Thu, 06 Sep 2012 10:19:29 -0400
Cc: Sean Hayes <[email-masked]>
Subject: [ietf-types] Registration for application/ttml+xml

Hello,

This is Appendix C of TTML 1.0.

http://www.w3.org/TR/ttaf1-dfxp/#media-type-registration

Comments on this registration would be greatly appreciated.

Type name:
        
        application
        
Subtype name:
        
        ttml+xml
        
Required parameters:
        
        None.
        
Optional parameters:
charset
        
        Same as application/xml media type, as specified in [XML Media
        Types] or its successors.
        
profile
        
        The document profile of a TTML document may be specified using
        an optional profile parameter, which, if specified, the value of
        which must adhere to the syntax and semantics of ttp:profile
        parameter defined by Section 6.2.8 ttp:profile of the published
        specification.
        
Encoding considerations:
        
        Same for application/xml. See [XML Media], Section 3.2.
        
Security considerations:
        
        As with other XML types and as noted in [XML Media] Section 10,
        repeated expansion of maliciously constructed XML entities can
        be used to consume large amounts of memory, which may cause XML
        processors in constrained environments to fail.
        
        In addition, because of the extensibility features for TTML and
        of XML in general, it is possible that "application/ttml+xml"
        may describe content that has security implications beyond those
        described here. However, if the processor follows only the
        normative semantics of the published specification, this content
        will be outside TTML namespaces and may be ignored. Only in the
        case where the processor recognizes and processes the additional
        content, or where further processing of that content is
        dispatched to other processors, would security issues
        potentially arise. And in that case, they would fall outside the
        domain of this registration document.
        
Interoperability considerations:
        
        The published specification describes processing semantics that
        dictate behavior that must be followed when dealing with, among
        other things, unrecognized elements and attributes, both in TTML
        namespaces and in other namespaces.
        
        Because TTML is extensible, conformant "application/ttml+xml"
        processors must expect that content received is well-formed XML,
        but it cannot be guaranteed that the content is valid to a
        particular DTD or Schema or that the processor will recognize
        all of the elements and attributes in the document.
        
Published specification:
        
        Timed Text Markup Language (TTML) 1.0.
        
Applications that use this media type:
        
        TTML is used in the television industry for the purpose of
        authoring, transcoding and exchanging timed text information and
        for delivering captions for television material repurposed for
        the internet.
        
        There is partial and full support of TTML in components used by
        several Web browsers plugins, and in a number of caption
        authoring tools.
        
Additional information:
Magic number(s):
File extension(s):
        
        .ttml
        
Macintosh file type code(s):
        
        "TTML"
        
Fragment identifiers:
        
        For documents labeled as application/ttml+xml, the fragment
        identifier notation is intended to be used with xml:id
        attributes, as described in section 7.2.1 of the Timed Text
        Markup Language (TTML) 1.0 specification.
        
Person & email address to contact for further information:
        
        Timed Text Working Group ([email-masked])
        
Intended usage:
        
        COMMON
        
Restrictions on usage:
        
        None
        
Author:
        
        The published specification is a work product of the World Wide
        Web Consortium's Timed Text (TT) Working Group.
        
Change controller:
        
        The W3C has change control over this specification.

From [email-masked]  Tue Sep 11 18:08:07 2012
Date: Wed, 12 Sep 2012 09:42:03 +0900
From: Charles Plessy <[email-masked]>
To: [email-masked]
Cc: The Debian Policy mailing list <[email-masked]>
Subject: [media-types] Please review vnd.debian.copyright: a media type for machine-readable copyright files.
Reply-To: The Debian Policy mailing list <[email-masked]>

Dear reviewers,

the Debian Project would like to submit the media type vnd.debian.copyright,
and in line with the draft update of RFC 4288
(draft-ietf-appsawg-media-type-regs-14), we would like to hear your comments
about our submission in preparation, that follows.

Best regards,

Charles Plessy
Debian Developer
Tsurumi, Kanagawa, Japon

-------------------------------------------------------------------------
Type name:
	text

Subtype name:
	vnd.debian.copyright

Required parameters:
	charset - the value of charset is always UTF-8.

Optional parameters:
	revision - the revision number of the specification.

Encoding considerations:
	The encoding is always UTF-8.

Security considerations:
	The machine-readable debian/copyright file format is declarative
	and does not cause commands to be executed.  However, some programs
	that parse it may execute commands containing values of some fields.
	Therefore an attacker may exploit some security flaws in such programs.
	Parsers should therefore follow general practices to sanitise their
        input.

Interoperability considerations:
	This media type is a subtype of text/plain in the sense of the
	FreeDesktop Shared MIME-info Database specification.

Published specification:
	http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/

Applications that use this media type:
	The media type vnd.debian.copyright is not yet recognised by
	applications.  The machine-readable debian/copyright file format
	is for instance read and written by the 'cme' command from the
	Config::Model Perl module.  This list is not exhaustive.

Additional information:
  Deprecated alias names for this type:
  	None.
  Magic number(s):
  	Files usually start with the following string:
  	Format: http://www.debian.org/doc/packaging-manuals/copyright-format/
  File extension(s):
  	No extension, but the file is usually named 'copyright'.
  Macintosh file type code(s):
	None.

Person & email address to contact for further information:
	The Debian Policy mailing list <[email-masked]>

Intended usage:
	LIMITED USE

Restrictions on usage:
	None.

Author:
	Charles Plessy <[email-masked]>

Change controller:
	The Debian Project <http://www.debian.org>
-------------------------------------------------------------------------

From [email-masked]  Mon Sep 17 10:57:52 2012
From: IETF Secretariat <[email-masked]>
To: IETF Announcement List <[email-masked]>
Date: Mon, 17 Sep 2012 10:57:52 -0700
Cc: [email-masked], [email-masked], [email-masked]
Subject: [media-types] New Non-WG Mailing List: media-types -- IANA mailing list for	reviewing Media Type (MIME Type, Content Type) registration requests

A new IETF non-working group email list has been created.  This new list =

replaces the previous ietf-types mailing list.

List address: [email-masked]
Archive: http://www.ietf.org/mail-archive/web/media-types/
To subscribe: https://www.ietf.org/mailman/listinfo/media-types

Purpose: IANA mailing list for reviewing Media Type (MIME Type, Content =

  Type) registration requests. =

For additional information, please contact the list administrators.